summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTrent Lloyd <lathiat@bur.st>2005-08-29 05:29:56 +0000
committerTrent Lloyd <lathiat@bur.st>2005-08-29 05:29:56 +0000
commit2251c8b21a639a6edd8b513c80ae6daafecf41ac (patch)
tree6def53f342f16a6dec033df62ca173295a5d3454
parentc4a5d3a655e0875a710a6da9f91b397cdfd6a6b6 (diff)
* Split bootstrap.sh into autogen.sh which configures with no extra flags
* bootstrap.sh now calls autogen.sh with the extra CFLAGS and options This is to help support building avahi with jhbuild for targetting GNOME git-svn-id: file:///home/lennart/svn/public/avahi/trunk@491 941a03a8-eaeb-0310-b9a0-b1bbd8fe43fe
-rw-r--r--Makefile.am1
-rwxr-xr-xautogen.sh49
-rwxr-xr-xbootstrap.sh30
3 files changed, 51 insertions, 29 deletions
diff --git a/Makefile.am b/Makefile.am
index fe3e186..fd19300 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -22,6 +22,7 @@ ACLOCAL_AMFLAGS = -I common
include $(srcdir)/common/doxygen.mk
EXTRA_DIST = \
+ autogen.sh \
bootstrap.sh \
LICENSE \
$(DX_CONFIG) \
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..a416dbe
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,49 @@
+#!/bin/sh
+# $Id$
+
+# This file is part of avahi.
+#
+# avahi is free software; you can redistribute it and/or modify it
+# under the terms of the GNU Lesser General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+#
+# avahi is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
+# License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with avahi; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
+# USA.
+
+VERSION=1.9
+
+run_versioned() {
+ local P
+ type -p "$1-$2" &> /dev/null && P="$1-$2" || local P="$1"
+
+ shift 2
+ "$P" "$@"
+}
+
+set -ex
+
+if [ "x$1" = "xam" ] ; then
+ run_versioned automake "$VERSION" -a -c --foreign
+ ./config.status
+else
+ rm -rf autom4te.cache
+ rm -f config.cache
+
+ libtoolize -c --force
+ run_versioned aclocal "$VERSION" -I common
+ autoconf -Wall
+ autoheader
+ run_versioned automake "$VERSION" -a -c --foreign
+
+ ./configure "$@"
+
+ make clean
+fi
diff --git a/bootstrap.sh b/bootstrap.sh
index ef0d1a9..8771701 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -18,32 +18,4 @@
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA.
-VERSION=1.9
-
-run_versioned() {
- local P
- type -p "$1-$2" &> /dev/null && P="$1-$2" || local P="$1"
-
- shift 2
- "$P" "$@"
-}
-
-set -ex
-
-if [ "x$1" = "xam" ] ; then
- run_versioned automake "$VERSION" -a -c --foreign
- ./config.status
-else
- rm -rf autom4te.cache
- rm -f config.cache
-
- libtoolize -c --force
- run_versioned aclocal "$VERSION" -I common
- autoconf -Wall
- autoheader
- run_versioned automake "$VERSION" -a -c --foreign
-
- CFLAGS="$CFLAGS -g -O0" ./configure --sysconfdir=/etc --localstatedir=/var "$@"
-
- make clean
-fi
+CFLAGS="$CFLAGS -g -O0" ./autogen.sh --sysconfdir=/etc --localstatedir=/var "$@"